## com.arsdigita.cms.docmgr.ui
Class SearchListModelBuilder

    java.lang.Object
      com.arsdigita.util.LockableImpl
          com.arsdigita.bebop.list.AbstractListModelBuilder
              com.arsdigita.cms.docmgr.ui.SearchListModelBuilder

All Implemented Interfaces:
  com.arsdigita.bebop.list.ListModelBuilder, com.arsdigita.util.Lockable, com.arsdigita.bebop.PaginationModelBuilder

public class SearchListModelBuilder
extends com.arsdigita.bebop.list.AbstractListModelBuilder
implements com.arsdigita.bebop.PaginationModelBuilder

Field Summary

Fields inherited from interface com.arsdigita.bebop.list.ListModelBuilder
`versionId`

Constructor Summary
`SearchListModelBuilder(SearchForm form)`

Method Summary
`int` `getTotalSize(com.arsdigita.bebop.Paginator p, com.arsdigita.bebop.PageState ps)`
`boolean` `isVisible(com.arsdigita.bebop.PageState state)`
`com.arsdigita.bebop.list.ListModel` `makeModel(com.arsdigita.bebop.List list, com.arsdigita.bebop.PageState state)`

Methods inherited from class com.arsdigita.util.LockableImpl
`isLocked, lock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.arsdigita.util.Lockable
`isLocked, lock`

Constructor Detail

### SearchListModelBuilder

    public SearchListModelBuilder(SearchForm form)

Method Detail

### getTotalSize

    public int getTotalSize(com.arsdigita.bebop.Paginator p,
                            com.arsdigita.bebop.PageState ps)

  Specified by:
    `getTotalSize` in interface `com.arsdigita.bebop.PaginationModelBuilder`

### isVisible

    public boolean isVisible(com.arsdigita.bebop.PageState state)

  Specified by:
    `isVisible` in interface `com.arsdigita.bebop.PaginationModelBuilder`

### makeModel

    public com.arsdigita.bebop.list.ListModel makeModel(com.arsdigita.bebop.List list,
                                                        com.arsdigita.bebop.PageState state)

  Specified by:
    `makeModel` in interface `com.arsdigita.bebop.list.ListModelBuilder`

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC